list File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_erase_if
#define | __glibcxx_want_incomplete_container_elements
#define | __glibcxx_want_list_remove_return_type
#define | __glibcxx_want_nonmember_container_access
#define | _GLIBCXX_LIST

## Typedefs

template<typename _Tp >
using | std::pmr::list = std::list< _Tp, polymorphic_allocator< _Tp > >

## Detailed Description

This is a Standard C++ Library header.

Definition in file list.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 72 of file list.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 73 of file list.

## __glibcxx_want_incomplete_container_elements

#define __glibcxx_want_incomplete_container_elements

Definition at line 74 of file list.

## __glibcxx_want_list_remove_return_type

#define __glibcxx_want_list_remove_return_type

Definition at line 75 of file list.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 76 of file list.

## _GLIBCXX_LIST

#define _GLIBCXX_LIST

Definition at line 56 of file list.

## Typedef Documentation

## list

template<typename _Tp >

using std::pmr::list = typedef std::list<_Tp, polymorphic_allocator<_Tp> >

Definition at line 87 of file list.